corda / net.corda.client.jfx.model / TrackedDelegate / ObservableDelegate

# ObservableDelegate

`class ObservableDelegate<M : Any, T> : TrackedDelegate<M>`

### Constructors

<init> | `ObservableDelegate(klass: KClass<M>, observableProperty: (M) -> Observable<T>)`

### Properties

observableProperty | `val observableProperty: (M) -> Observable<T>`

### Inherited Properties

klass | `val klass: KClass<M>`

### Functions

getValue | `operator fun getValue(thisRef: Any, property: KProperty<*>): Observable<T>`